'''
    File name: null.py
    Author: Bastian Kramer
    Date created: 21/10/2020
    Date last modified: 21/10/2020
    Python Version: 2.7

    This is a simple script for creating a locator for each transform in selection with same transformations.
'''

import pymel.core as pm


def createLocator(obj):
    loc = pm.spaceLocator(name = obj.nodeName() + "_loc")

    pm.delete(pm.pointConstraint(obj, loc, mo = False))
    pm.delete(pm.orientConstraint(obj, loc, mo = False))
    pm.delete(pm.scaleConstraint(obj, loc, mo = False))

    return loc


objs = pm.ls(sl=1, type="transform")
if not objs:
    pm.displayError("Could not create null groups. Must at least select one transform.")
else:
    locs = list()
    for obj in objs:
        loc = createLocator(obj)
        locs.append(loc)
    pm.select(locs)